Subject: Re: [PATCH] lockd: add netlink control interface

From: Jakub Kicinski <[email-masked]>
Date: Thu, 9 Jan 2025 08:36:04 -0800

On Wed, 08 Jan 2025 16:00:15 -0500 Jeff Layton wrote:
> The legacy rpc.nfsd tool will set the nlm_grace_period if the NFSv4
> grace period is set. nfsdctl is missing this functionality, so add a new
> netlink control interface for lockd that it can use. For now, it only
> allows setting the grace period, and the tcp and udp listener ports.
> 
> lockd currently uses module parameters and sysctls for configuration, so
> all of its settings are global. With this change, lockd now tracks these
> values on a per-net-ns basis. It will only fall back to using the global
> values if any of them are 0.
> 
> Finally, as a backward compatability measure, if updating the nlm
> settings in the init_net namespace, also update the legacy global
> values to match.

Netlinky stuff LGTM, FWIW!

To encourage more doc: properties I should point out that we
render the specs on docs.kernel.org, now ;)
https://docs.kernel.org/next/networking/netlink_spec/nfsd.html